import React, { ReactNode } from "react";
import { JoinRule, Room } from "matrix-js-sdk/src/matrix";
export interface JoinRuleSettingsProps {
    room: Room;
    promptUpgrade?: boolean;
    closeSettingsFn(): void;
    onError(error: unknown): void;
    beforeChange?(joinRule: JoinRule): Promise<boolean>;
    aliasWarning?: ReactNode;
}
declare const JoinRuleSettings: React.FC<JoinRuleSettingsProps>;
export default JoinRuleSettings;
